<template>

    <div class="w-10/12 mx-auto relative overflow-x-auto shadow-md sm:rounded-lg">
        <div class="pb-4 bg-white dark:bg-gray-900 flex justify-between mt-5 mx-5">
            <div class="flex items-center">
                <h1 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">Index</h1>
            </div>
                <Filters :filters="filters"/>
        </div>
        <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                <tr>
                    <th scope="col" class="p-4">
                        <div class="flex items-center">
                            <input id="checkbox-all-search" type="checkbox"
                                class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 dark:focus:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600">
                            <label for="checkbox-all-search" class="sr-only">checkbox</label>
                        </div>
                    </th>
                    <th scope="col" class="px-6 py-3">
                        Date
                    </th>
                    <th scope="col" class="px-6 py-3">
                        Task
                    </th>
                    <th scope="col" class="px-6 py-3">
                        Action
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="task in tasks" :key="task.id"
                    class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600">
                    <td class="w-4 p-4">
                        <div class="flex items-center">
                            <input id="checkbox-table-search-1" type="checkbox"
                                class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 dark:focus:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600">
                            <label for="checkbox-table-search-1" class="sr-only">checkbox</label>
                        </div>
                    </td>
                    <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                        {{ formatDate(task.created_at) }}
                    </th>
                    <td class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                        {{ task.task }}
                    </td>
                    <td class="px-6 py-4">
                        <Link :href="`task/${task.id}/edit`" class="font-medium text-blue-600 dark:text-blue-500 hover:underline">Edit</Link> |
                        <Link :href="`task/${task.id}`" method="DELETE" as="button" class="font-medium text-red-600 dark:text-red-500 hover:underline">Delete</Link>
                    </td>
                </tr>
                <tr
                    class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600">
                    <td class="w-4 p-4">
                    </td>
                    <div class="w-full px-4 pt-4 pb-5">
                        <Create/>
                    </div>
                </tr>
            </tbody>
        </table>
    </div>

</template>

<script setup>
import { Link } from '@inertiajs/vue3';
import Create from '@/Components/Task/Create.vue';
import Filters from "@/Pages/Task/Components/Filters.vue";

defineProps({
    tasks: Array,
    filters: Object
})
</script>

<script>
export default {
  props: ['task'],
  methods: {
    formatDate(date) {
      return date ? new Date(date).toLocaleDateString('fr-FR', { day: 'numeric', month: 'numeric', year: 'numeric' }) : '';
    }
  }
}
</script>
